import PropTypes from 'prop-types';

function Button({text, onClick}) {
    return (
        <button 
            className="px-12 py-2 text-lg text-white rounded-full bg-primary dark:bg-primary-dark" 
            onClick={onClick}
        >
            {text}
        </button>
    )
}

Button.propTypes = {
    text: PropTypes.string.isRequired,
    onClick: PropTypes.func.isRequired
};

export default Button;
