import { useState } from "react";
import { useNavigate } from "react-router-dom";
import FormBox from "../components/FormBox";
import Button from "../components/Button";

function CabinetMaintenace() {
  const navigate = useNavigate();
  const [operation, setOperation] = useState("");

  const handleNext = () => {
    if (operation === "") {
      alert("Please select an operation.");
    } 
    navigate(operation)
  };

  return (
    <div className="w-full h-fit">
      <FormBox title="Cabinet Maintenance">
        <div className="p-2">
          <div className="my-5">
            <label className="mr-4 text-lg ">Operation</label>
            <select
              className="w-1/5 h-10 px-2 rounded-full border-2 border-grey text-grey"
              onChange={(e) => setOperation(e.target.value)}
              defaultValue={operation}
            >
              <option value="" disabled>
                Select
              </option>
              <option value="create">Create</option>
            </select>
          </div>
          <Button text="Next" onClick={handleNext} />
        </div>
      </FormBox>
    </div>
  );
}

export default CabinetMaintenace;
